export default {
  ssr: false,
  server: { port: process.env.PORT },
  target: 'static',
  head: {
    title: 'PC Puma',
    htmlAttrs: {
      lang: 'es',
    },
    meta: [
      { charset: 'utf-8' },
      { name: 'viewport', content: 'width=device-width, initial-scale=1' },
      { hid: 'description', name: 'description', content: '' },
    ],
    link: [{ rel: 'icon', type: 'image/x-icon', href: '/favicon.ico' }],
  },
  css: [],
  plugins: ['~/plugins/inject.js'],
  components: true,
  buildModules: [],
  modules: [
    '@nuxtjs/axios',
    'nuxt-buefy',
    '@nuxtjs/pwa',
    '@nuxtjs/recaptcha',
    'nuxt-socket-io',
  ],
  axios: {},
  recaptcha: {
    // hideBadge: Boolean, // Hide badge element (v3 & v2 via size=invisible)
    language: 'v2',
    mode: 'base',
    siteKey: process.env.GOOGLE_RECAPTCHA_KEY,
    version: 2,
    size: 'normal',
  },
  publicRuntimeConfig: {
    recaptcha: {
      siteKey: process.env.GOOGLE_RECAPTCHA_KEY,
    },
  },
  build: {},
  pwa: {
    manifest: {
      lang: 'es',
      name: 'PC Puma',
      short_name: 'PC Puma',
    },
  },
  io: {
    sockets: [{ name: 'main', url: process.env.SOCKET_URL }],
  },
  env: {
    api: process.env.API_URL,
    path: process.env.PATH_URL,
  },
}
